## xsettingsd 0.0.20121210+72+g474f18a

=== SConstruct ===
# -*- python -*-
# Copyright 2009 Daniel Erat <dan@erat.org>
# All rights reserved.

import os
import subprocess

Help('''
Type: 'scons xsettingsd' to build xsettingsd
      'scons dump_xsettings' to build dump_xsettings
      'scons test' to build and run all tests
''')


def run_tests(target, source, env):
  '''Run all test binaries listed in 'source'.'''

  tests = sorted([str(t) for t in source])
  max_length = max([len(t) for t in tests])

  for test in tests:
    padded_name = test + ' ' * (max_length - len(test))

    proc = subprocess.Popen('./%s' % test,
                            stdout=subprocess.PIPE,
                            stderr=subprocess.STDOUT,
                            close_fds=True)
    [stdout, stderr] = proc.communicate()
    proc.wait()
    if proc.returncode == 0:
      print '%s OK' % padded_name
    else:
      print "%s FAILED\n" % padded_name
      print stdout

run_tests_builder = Builder(action=run_tests)


env = Environment(
    BUILDERS = {
      'RunTests': run_tests_builder,
    })

env.Append(CPPFLAGS = os.environ.get('CPPFLAGS', ''),
           CFLAGS = os.environ.get('CFLAGS', ''),
           CXXFLAGS = os.environ.get('CXXFLAGS', ''),
           LDFLAGS = os.environ.get('LDFLAGS', ''))

env.Append(CCFLAGS = '-Wall -Werror')


srcs = Split('''\
  common.cc
  config_parser.cc
  data_reader.cc
  data_writer.cc
  setting.cc
  settings_manager.cc
''')
libxsettingsd = env.Library('xsettingsd', srcs)
env['LIBS'] = libxsettingsd
env.ParseConfig('pkg-config --cflags --libs x11')

xsettingsd     = env.Program('xsettingsd', 'xsettingsd.cc')
dump_xsettings = env.Program('dump_xsettings', 'dump_xsettings.cc')

Default([xsettingsd, dump_xsettings])


test_env = env.Clone()
test_env.Append(CCFLAGS=' -D__TESTING', LINKFLAGS=' -lgtest')

tests = []
for file in Glob('*_test.cc', strings=True):
  tests += test_env.Program(file)
test_env.RunTests('test', tests)

=== debian/changelog ===
xsettingsd (0.0.20121210+72+g474f18a-1) unstable; urgency=low

  * Initial release (Closes: #684884)

 -- David Bremner <bremner@debian.org>  Sat, 03 Aug 2013 10:05:51 -0300

=== debian/control ===
Source: xsettingsd
Section: x11
Priority: optional
Maintainer: David Bremner <bremner@debian.org>
Build-Depends:
 debhelper (>= 7.0.50~),
 libx11-dev,
 scons,
 pkg-config
Standards-Version: 3.9.4
Homepage: http://code.google.com/p/xsettingsd/
Vcs-Git: git://anonscm.debian.org/git/collab-maint/xsettingsd
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=xsettingsd/xsettingsd.git;a=summary

Package: xsettingsd
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: Provides settings to X11 applications
 xsettingsd is a daemon that implements the XSETTINGS specification.
 It is intended to be small, fast, and minimally dependent on other
 libraries. It can serve as an alternative to gnome-settings-daemon
 for users who are not using the GNOME desktop environment but who
 still run GTK+ applications and want to configure things such as
 themes, font antialiasing/hinting, and UI sound effects.

## xsettingsd 0.0.20150615+2+gb4999f5e

=== SConstruct ===
--- 
+++ 
@@ -41,12 +41,12 @@
       'RunTests': run_tests_builder,
     })
 
-env.Append(CPPFLAGS = os.environ.get('CPPFLAGS', ''),
-           CFLAGS = os.environ.get('CFLAGS', ''),
-           CXXFLAGS = os.environ.get('CXXFLAGS', ''),
-           LDFLAGS = os.environ.get('LDFLAGS', ''))
+env.Append(CPPFLAGS=os.environ.get('CPPFLAGS', ''),
+           CFLAGS=os.environ.get('CFLAGS', ''),
+           CXXFLAGS=os.environ.get('CXXFLAGS', ''),
+           LDFLAGS=os.environ.get('LDFLAGS', ''))
 
-env.Append(CCFLAGS = '-Wall -Werror')
+env.Append(CCFLAGS='-Wall -Werror -Wno-narrowing')
 
 
 srcs = Split('''\
@@ -67,8 +67,14 @@
 Default([xsettingsd, dump_xsettings])
 
 
+gtest_env = env.Clone()
+gtest_env.Append(CCFLAGS='-I/usr/src/gtest')
+gtest_env.VariantDir('.', '/usr/src/gtest/src', duplicate=0)
+libgtest = gtest_env.Library('gtest', 'gtest-all.cc')
+
 test_env = env.Clone()
-test_env.Append(CCFLAGS=' -D__TESTING', LINKFLAGS=' -lgtest')
+test_env.Append(CCFLAGS='-D__TESTING')
+test_env['LIBS'] += [libgtest, 'pthread']
 
 tests = []
 for file in Glob('*_test.cc', strings=True):

=== debian/changelog ===
xsettingsd (0.0.20150615+2+gb4999f5e-1) unstable; urgency=low

  * Adopt the package. (Closes: #763987)
  * Import new upstream snapshot (commit b4999f5e from June 2015.
    + Fixes parsing of negative values. (Closes: #763941)
  * Apply wrap-and-sort.
  * Fix repo path in Vcs-* headers and switch them to https:// and cgit.
  * Update Homepage header and debian/copyright to follow upstream move to
    Github.
  * Bump debhelper compatibility to 9.
    + Update versioned build-dependency on debhelper accordingly.
    + debian/rules: Remove now redundant manual setting of *FLAGS.
  * Enable all hardening build flags.
  * Extract commit 796a1464 into debian/patches/LDFLAGS.patch and remove
    debian/source/local-options. The latter caused an unwanted, generic
    debian/patches/debian-changes to be generated automatically and the
    according lintian warning quilt-patch-using-template-description.
  * Declare compliance with Debian Policy 3.9.8. (No changes needed.)
  * Convert debian/copyright to machine-readable DEP5 format and add
    myself to the packaging copyright.
  * debian/rules: Add get-orig-source target to generate upstream version
    number and .orig.tar.xz from upstream branch. (upstream doesn't do
    releases, at least not yet.)

 -- Axel Beckert <abe@debian.org>  Sun, 14 Aug 2016 19:05:41 +0200

=== debian/control ===
Source: xsettingsd
Section: x11
Priority: optional
Maintainer: Axel Beckert <abe@debian.org>
Build-Depends: debhelper (>= 9~),
               libx11-dev,
               pkg-config,
               scons
Standards-Version: 3.9.8
Homepage: https://github.com/derat/xsettingsd
Vcs-Git: https://anonscm.debian.org/git/collab-maint/xsettingsd.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xsettingsd.git

Package: xsettingsd
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Provides settings to X11 applications
 xsettingsd is a daemon that implements the XSETTINGS specification.
 It is intended to be small, fast, and minimally dependent on other
 libraries. It can serve as an alternative to gnome-settings-daemon
 for users who are not using the GNOME desktop environment but who
 still run GTK+ applications and want to configure things such as
 themes, font antialiasing/hinting, and UI sound effects.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ --parallel

override_dh_auto_build:
	scons
	dh_auto_build

override_dh_auto_clean:
	scons -c
	rm -f .sconsign.dblite
	dh_auto_clean

# Needed for get-orig-source target (lazy evaluation, i.e. shouldn't
# hurt normal builds outside the git repository)
COMMIT=$(shell cat .git/refs/heads/upstream | cut -c1-8)
GIT_DATE=$(shell git log --date=iso upstream | fgrep Date: | head -1 | sed -e 's/Date:\s\+//')
GIT_DATE_DAY=$(shell echo "$(GIT_DATE)" | awk '{print $$1}')
COMMITS_ON_THAT_DAY=$(shell git log --date=iso upstream | fgrep Date: | fgrep "$(GIT_DATE_DAY)" | wc -l)
DATE=$(shell date '+%Y%m%d' -ud "$(GIT_DATE)")
VERSION=0.0.$(DATE)+$(COMMITS_ON_THAT_DAY)+g$(COMMIT)

get-orig-source: clean
	git archive --format=tar -v --prefix=xsettingsd-$(VERSION)/ -o ../xsettingsd_$(VERSION).orig.tar upstream
	tar --delete --wildcards -vf ../xsettingsd_$(VERSION).orig.tar xsettingsd-$(VERSION)/debian
	xz -6vf ../xsettingsd_$(VERSION).orig.tar

## xsettingsd 0.0.20171105+1+ge4cf9969

=== debian/changelog ===
xsettingsd (0.0.20171105+1+ge4cf9969-1) unstable; urgency=low

  * New upstream snapshot
    + Drop all patches, applied upstream.
  * Switch to debhelper compatibility level 11.
    + Drop now implicit --parallel
    + Bump versioned debhelper build dependency accordingly.
  * Declare compliance with Debian Policy 4.1.3. (No changes needed.)
  * Set "Rules-Requires-Root: no".
  * Optimize debian/rules by running scons in the dh_auto_configure
    override instead as part of the dh_auto_build override.
  * Update Vcs-* headers for the switch to salsa.debian.org.

 -- Axel Beckert <abe@debian.org>  Tue, 02 Jan 2018 09:17:37 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,15 @@
 Section: x11
 Priority: optional
 Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 11~),
                libx11-dev,
                pkg-config,
                scons
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://github.com/derat/xsettingsd
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/xsettingsd.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/xsettingsd.git
+Vcs-Git: https://salsa.debian.org/debian/xsettingsd.git
+Vcs-Browser: https://salsa.debian.org/debian/xsettingsd
+Rules-Requires-Root: no
 
 Package: xsettingsd
 Architecture: any

## xsettingsd 1.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.15)

project(xsettingsd
  VERSION 1.0.2
  DESCRIPTION "Provides settings to X11 applications via the XSETTINGS specification"
  HOMEPAGE_URL "https://github.com/derat/xsettingsd"
  LANGUAGES CXX
)

include(GNUInstallDirs)
include(CTest)

find_package(X11 REQUIRED)
find_package(GTest)

add_library(libxsettingsd STATIC
  common.cc
  config_parser.cc
  data_reader.cc
  data_writer.cc
  setting.cc
  settings_manager.cc
)

add_executable(xsettingsd xsettingsd.cc)
target_link_libraries(xsettingsd PRIVATE libxsettingsd X11::X11)

add_executable(dump_xsettings dump_xsettings.cc)
target_link_libraries(dump_xsettings PRIVATE libxsettingsd X11::X11)

install(TARGETS xsettingsd dump_xsettings DESTINATION ${CMAKE_INSTALL_BINDIR})
install(FILES xsettingsd.1 dump_xsettings.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

configure_file(xsettingsd.service.in xsettingsd.service)
install(FILES "${CMAKE_CURRENT_BINARY_DIR}/xsettingsd.service" DESTINATION lib/systemd/user)

if(GTEST_FOUND AND BUILD_TESTING)
  include(GoogleTest)
   
  add_executable(common_test common_test.cc)
  target_link_libraries(common_test PRIVATE libxsettingsd GTest::GTest)
  gtest_discover_tests(common_test)
  
  add_executable(config_parser_test config_parser_test.cc)
  target_link_libraries(config_parser_test PRIVATE libxsettingsd GTest::GTest)
  target_compile_definitions(config_parser_test PRIVATE __TESTING)
  gtest_discover_tests(config_parser_test)
  
  add_executable(setting_test setting_test.cc)
  target_link_libraries(setting_test PRIVATE libxsettingsd GTest::GTest)
  target_compile_options(setting_test PRIVATE -Wno-narrowing)
  gtest_discover_tests(setting_test)
endif()

add_custom_target(uninstall COMMAND xargs rm -v < "${CMAKE_BINARY_DIR}/install_manifest.txt")

=== SConstruct ===
--- 
+++ 
@@ -28,10 +28,10 @@
     [stdout, stderr] = proc.communicate()
     proc.wait()
     if proc.returncode == 0:
-      print '%s OK' % padded_name
+      print('%s OK' % padded_name)
     else:
-      print "%s FAILED\n" % padded_name
-      print stdout
+      print("%s FAILED\n" % padded_name)
+      print(stdout)
 
 run_tests_builder = Builder(action=run_tests)
 
@@ -44,7 +44,7 @@
 env.Append(CPPFLAGS=os.environ.get('CPPFLAGS', ''),
            CFLAGS=os.environ.get('CFLAGS', ''),
            CXXFLAGS=os.environ.get('CXXFLAGS', ''),
-           LDFLAGS=os.environ.get('LDFLAGS', ''))
+           LINKFLAGS=os.environ.get('LDFLAGS', ''))
 
 env.Append(CCFLAGS='-Wall -Werror -Wno-narrowing')

=== debian/changelog ===
xsettingsd (1.0.2-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:54:54 +0200

xsettingsd (1.0.2-1) unstable; urgency=medium

  * Fix missing right round bracket in 0.0.20150615+2+gb4999f5e-1
    changelog entry.
  * Add a debian/watch file. Upstream now does releases. Yay! :-)
  * Add a DEP12 debian/upstream/metadata file.
  * Import new upstream minor bugfix release 1.0.2.
    + The previous 0.0.20171105+1+ge4cf9969 upstream snapshot actually was
      identical to the retroactively declared 1.0.0 version.
    + Introduces CMake as alternative build system, but at least for
      bullseye, no build system switch is done since were close to the
      freeze.
    + Update debian/docs to follow renamed file.
  * Bump debhelper compatibility level to 13.
    + Build-depend on "debhelper-compat (= 13)" to replace debian/compat.
  * Declare compliance with Debian Policy 4.5.1. (No changes needed.)
    + Keep get-orig-source target at least for now, in case we need to
      package git snapshots again.

 -- Axel Beckert <abe@debian.org>  Thu, 14 Jan 2021 03:05:27 +0100

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: xsettingsd
 Section: x11
 Priority: optional
-Maintainer: Axel Beckert <abe@debian.org>
-Build-Depends: debhelper (>= 11~),
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Axel Beckert <abe@debian.org>
+Build-Depends: debhelper-compat (= 13),
                libx11-dev,
                pkg-config,
                scons
-Standards-Version: 4.1.3
+Standards-Version: 4.5.1
 Homepage: https://github.com/derat/xsettingsd
 Vcs-Git: https://salsa.debian.org/debian/xsettingsd.git
 Vcs-Browser: https://salsa.debian.org/debian/xsettingsd

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%" \
https://github.com/derat/xsettingsd/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
